xclade
Admin APIShipping options

Manage the Rules of a Shipping Option

Manage the rules of a shipping option to create, update, or delete them.

POST
/admin/shipping-options/{id}/rules/batch
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The shipping option's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Request Body

application/json

create?

The shipping option rules to create.

update?

The shipping option rules to update.

delete?array<delete>

The shipping option rules to delete.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/shipping-options/string/rules/batch" \  -H "Content-Type: application/json" \  -d '{}'
{
  "created": [
    {
      "id": "string",
      "attribute": "is_return",
      "operator": "gt",
      "value": "true",
      "shipping_option_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ],
  "updated": [
    {
      "id": "string",
      "attribute": "is_return",
      "operator": "gt",
      "value": "true",
      "shipping_option_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ],
  "deleted": {
    "ids": [
      "string"
    ],
    "object": "shipping_option_rule",
    "deleted": true
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}